Compile

arno

Administrator
Staff member
FSDevConf team
Resource contributor
#2
Hi,

Yes, if you point CompileHelper to the FSX version of BGLComp I think it should work fine. If you want to use it for both FS2004 and FSX you would have to change the settings. Maybe one day I should make an updated version that allows both to be used.
 
#3
Hi,

OK that's good news.
While installing the SP1a update I see that the new files are different in folder structure than what I had before. Of course I have made a backup of the whole FSX, SDK's and GMAX.
May I keep the same configuration as before and drop the new files onto the old ones ? I suppose I overwrite the BglComp. And keep also the former gmax_FSModelExp.dle, MdlScan and XtoMdl files for exemple. The same for all these .ddl files such as Managed_crashTree.dll ?
A lot of work... that I need to repeat after the SP2 install.

Greetz. José.
 

arno

Administrator
Staff member
FSDevConf team
Resource contributor
#4
Hi Jose,

I am not sure if I understand your question. When updating the SDK the file structure will be similar. So the files should be overwritten. You end up with the most recent version of all tools.
 
#5
Hi Arno,

Of course the SDK's were overwritten and I need then to bring them over in GMAX (BGLComp) and overwrite the former BGLCom... isn't it ?

In any way I have done the whole proces and hope it's OK.

Question: I do see in Control Panel that SP2 is installed, but nothing to see about SP1a install... is that normal ?

Second question: I am looking now in my scenery and expected to see black planes instead trees... but that's not the case. How s that possible while other simmers sent me screenies with the ugly black planes (and they run on FSX SP2) ?

How I can I be sure/test that everything is installed in the right way in FSX ?

Grrrrr. :cool:

Greetz. José.
 
Last edited:

arno

Administrator
Staff member
FSDevConf team
Resource contributor
#6
Hi Jose,

Of course the SDK's were overwritten and I need then to bring them over in GMAX (BGLComp) and overwrite the former BGLCom... isn't it ?
No, GMax does not use BGLComp at all, so there is no need to have a copy with your GMax. I usually just leave it where the SDK installed it and use it from there when I need to compile something.

Question: I do see in Control Panel that SP2 is installed, but nothing to see about SP1a install... is that normal ?
Yes, SP2 will replace SP1A. You can only have the latest one installed.

Second question: I am looking now in my scenery and expected to see black planes instead trees... but that's not the case. How s that possible while other simmers sent me screenies with the ugly black planes (and they run on FSX SP2) ?
Are you talking about SP2 for the SDK or for FSX itself? You need to have both installed. Also the fact that somebody has black trees does not mean it has to be FSX, can also be the graphics driver or some other machine specific problem.
 
#7
Hi Arno,

I am speaking about flightsimulator FSX. If it is so that the problems with the trees are related to the graphic driver... I am happy it's not happening with me... but why I do hear that now for the first time, unless I didn't pay attention, hà.

Greetz. José.
 
Last edited:

arno

Administrator
Staff member
FSDevConf team
Resource contributor
#8
There can be problems with transparent textures of non-FSX objects showing black in FSX. But if you do not have the problems, while the user has them, I guess the conclusion must be that it is not FSX here, but something else that causes the problem. Or you might not be running the same SP of FSX.
 
#9
Hi,

1. In Control Panel there is: Microsoft Flight Simulator X SP2 SDK 328.00 MB.

2. GMAX does work and could place in FSX sceneru addon an object textured with the Oil rig texture.

What else can I do to be sure everything is installed correctly ?

Greetz. José..
 
#10
Hi,

I have decided to undo the update to FSX SP2 (after receiving a negative result from a simmer). :confused:

I suppose I uninstall FSX SP2 via Control Panel.
The same for FSX SP1.
Install the SDK from the FSX Deluxe disc 1.

And then ? Here is it confusing for me. How do I exactly what I have to do for FSX and GMAX ? The different files must they go to Gamepacks or ? Many question for installing all these files.

Greetz. José.
 
Last edited:

arno

Administrator
Staff member
FSDevConf team
Resource contributor
#11
Hi,

Not sure if you can easily undo it, it would require to uninstall both the SP for FSX and for the SDK.

But why do you want to remove it? Do you have trouble with it? SP2 has a lot of useful improvements and I would advice everybody to use it.
 
#12
Hi Arno,

I thought to have understand that I need to start from the beginning: from FSX Deluxe SDK and instal this SDK and then proceed with update SP1 and install the new SDK's... followed by the install of SP1a and instaal te SDK again. At the end by updte to SP2 instal this SDK also.
Or am I wrong ? I dont not how to place the files and where. Have to read a lot. The WIKI here is for me a little bit confusing, at least.
Maybe this is not the case for GMAX ? And can I simply install GMAX and put the files where they belong ?

:(:(:(

Greetz. José.
 

arno

Administrator
Staff member
FSDevConf team
Resource contributor
#13
Hi Jose,

It is quite simple. Just install FSX and the SDK from your DVD. Then you have to RTM version of both.

Then you start updating to the version you want. If you want SP2 in the end, you need to install the updates for FSX itself (so SP1 and SP2) and for the SDK as well (SDK SP1A and SDK SP2). If you install them in that order everything should be fine. To be sure I usually first install SP1/SP1A as well, even if I want to go to SP2 in the end.

Once you have your FSX and SDK at the version you want, you have to copy the GMax gamepack folder from the Modelling SDK to your GMax installation folder.
 
#14
Hi,

Must I uninstall FSX first. I do not see an uninstaller for FSX on disc 1 as I red in a topic.

Or can I simply install the SDK from the FSX Deluxe disc 1 ? Without the need to uninstaal FSX.

Greetz. José.
 
#16
Hi,

I give up and returned to an early point of recovery I sat before I began this adventure. As long as I don't see clear in how to update and handle the SDK's properly and do not know what where to put in... I stay firm as this Zebra on the runway, hà. :(

Greetz. José.
 

arno

Administrator
Staff member
FSDevConf team
Resource contributor
#17
Hi,

Must I uninstall FSX first. I do not see an uninstaller for FSX on disc 1 as I red in a topic.

Or can I simply install the SDK from the FSX Deluxe disc 1 ? Without the need to uninstaal FSX.
That depends. Which version of FSX do you have installed now? If it is already at SP2 and you want to keep it like that there is no need to uninstall and install again. Then you can only install the SDK.

I see there a Config SDK. What about that, I mean must I click and let run it before placing the files into GMAX ?
You need to run ConfigSDK only if you installed the SDK to a different folder than the default one. But doing so never hurts.
 
#18
Hi Arno,

The actual situation is:
FSX + FSX SP1 and only a few SDK's for GMAX are installed.

Before:
I did the update to FSX SP1a. Then the update to FSX SP2. None of the SDK's were installed. I tried but did it probably wrong and got error messages.
As it didn't work, I returned to an early set recovery date and I am now at the former situation.

I think it's better I write down all my question and let know how I understand how the updtes should be done.
I can post it here or send it to you. That would gain precious time.

Greetz. José.
 
#20
Hi,

Of course I have looked in the WIKI.
But still have questions.
May I post here all of them because I am anxious to do things right.

QUESTIONS
---------

Before:

FSX Deluxe installed, Installed GMAX and placed SDK's to GMAX (GMAX was only alble to work with 3DSMAX).
When FSX SP1 came out I installed FSX SP1 and placed SDK file in GMAX and could work normally.

A few days ago:

Decided to update to SP2. So I updated first to SP1a followed by FSX SP2.
I tried to bring over the needed SDK files for GMAX. But probably did it totally wrong.
I decided to return to an early date of recovery just before starting to update.
Before updating I have also made backups of FSX, all the files concerning FSX and GMAX.

Situation now:

FSX and SP1 present in Control Panel. Everything seems back to normal.

---------------------------
WHAT NOW ?
---------------------------

1. Simply start from zero: uninstall FSX... and reinstall FSX and place the SDK file where they should be ?
I red on a forum that during a fresh install you will be asked if you allow that SDK's will be installed.
You will be asked if you want keep the backup file: you should answer yes.

2. Uninstall SP1 (via Control Panel) and then install only the SDK's and then place the SDK files where should be ?

---------------------------

So, after that (following one of these options) the install of the SDK's.
For GMAX = a) Install icon GMAX; b) two help files. I do the setup of GMAX on C:\GMAX and put the two
help files into the map "Help".
I open "Environment kit" and see a lot of maps.
Concentrate first on BGL Compiler SDK. I understand that I can place it everywhere (even out of GMAX).
I can place the content in "PLugins".

Then the Modeling SDK.
Place the content of map Plugins, Scenes, Scripts and Texture in the different maps with the same name in GMAX.
I place the map Bin in GMAX folder. Idem for Images and SampleTextures.
I place the FX_GMAX shortcut and gmax config + Plugin config into the GMAX folder.
But what about the map 3DSM7 ? I place the map in Gamepacks map ?
I do the same with the other maps and place the contenance into the map with the same name,
or drop them in the GMAX folder.

I place all the other files in GMAX folder.




------------------------------
Is it so ?

------------------------------

When updating I do this all over again and with FSX SP1 I can now use GMAX for working with GMAX software instead 3DSMAX.

-------------------------------
When I update to FSX SP1a I do the same with the new SDK files.

-------------------------------
When I update with FSX SP2 I should reinstall/make a new GMAX and put the files SDK in their appropriate map.
Must I place the content of the Gamepack map in Gamepack map in GMAX of place the map into the map Gaùepacks GMAX ?

---------------------------
What about the other SDK files, such as Traffic Toolbox SDK and others.
Whch files must be placed where and wich steps I need to do in order that
the SDK's will be activated and I get the TOOLS onto my FSX Menu ?

-------------------------------------
So far my question. Hope that I become some guidance and can bring the whole operation to a good end.

Regards. José.
 
Last edited:
Top